cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Explorer
Explorer
961 Views
Registered: ‎01-24-2018

OpenAMP Versions in SDK vs. Petalinux vs. GitHub

I have the 2017.3 SDK installed. I also have the Petalinux 2017.3 tools and all that stuff installed.

 

I can look at the SDK project and I can see that it builds with the following versions...

 

openamp_v1_4

libmetal_v1_3

 

Question.

Thee are no such versions like these on the github websites, so how do I know where the source for them is?

I know the source is in the BSP lib source tree, but that is not my question. On github, thee are branches

and tags, but none of them look like this? In there we have options like "master" or "2017.4", but no options

for "v1_3" or similarly named components.

 

The reason I need to know where these are on the github site is there is a similar naming convention

used in the Petalinux distro... yocto recipes and stuff. In there is looks like it points to OpenAMP

and not Xilinx/OpenAMP so I am really confused.

 

Thanks In Advance

 

 

 

 

 

 

0 Kudos
2 Replies
Highlighted
Moderator
Moderator
912 Views
Registered: ‎05-10-2017

For 2017.3, you will use the tag xilinx-v2017.3.

You can take a look at the ChangeLog as well to see which upstream version it is synced with

https://github.com/Xilinx/embeddedsw/blob/xilinx-v2017.3/ThirdParty/sw_services/libmetal/src/ChangeLog

 

 

-------------------------------------------------------------------------
Don’t forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------
0 Kudos
Highlighted
Explorer
Explorer
899 Views
Registered: ‎01-24-2018

Okay, I get that for...

 

For 2017.3  use  xilinx-v2017.3

For 2017.4  use  xilinx-v2017.4

 

And for something like...

 

For 2018.1  use xilinx-v2018.1

 

That part is pretty much straight forward and not unclear to me.

However, my question was -not- that at all.

 

So to ask it again if I may...

 

For  openamp_v1_4  use  XXXX

For libmetal_v1_3      use YYYY

 

Where XXXX and YYY would be equal to the git hub software branch or tag

name that corresponds to the openamp_v1_4 -and-  the libmetal_v1_3 designations used in your product.

Better?

 

Thanks in Advance!